Subject: Re: Re: [manet] Question Regarding Power Consumption

From: "Peter Pham" <[email-masked]>
Date: Mon, 06 Oct 2003 20:46:11 +0950

Hi all
Thanks for the information. 
What I believe is that the simulation should closely model the "real" behaviour of the power consumption of the wireless card. The information on the real test-bed may be a very good feedback on the enery consumption model available. 
There are some important points 

1) Variable power range seems to be beneficial due to by increasing spatial reuse not by power consumption 
2) Sleep mode is quite important since its power consumption is quite minimal
3) Power consumption in receiving packets is quite significant and constant regardless of whether the mobile node actually receives the data packet or not .
4) The real of the number of data bits to be transmitted is important not the distance between the source and destination.

cheers 

Peter Pham

-----Original Message-----
From: Laura Marie Feeney <[email-masked]>
To: John Stine <[email-masked]>
Date: Mon, 06 Oct 2003 11:14:52 +0200
Subject: Re: [manet] Question Regarding Power Consumption

Hello Peter and John,

John Stine wrote:
> Peter,
  1. Transmitted power is regulated by a local spectrum management 
administration.  Since most modems are used to communicate to access
> points, where there is not as great a concern for spatial reuse, they tend to operate at there regulated maximum for all transmissions.  I
> am unaware of any protocol implemented within these devices that adaptively adjusts power to optimize network performance.  Some devices
> have the ability to adjust power but the transition times involved if implemented as an external protocol would probably make this
> impractical for a packet wise adjustment.  Also, only a small portion of the total energy consumed in this state can be saved by adjusting
> the transmit power since most energy is consumed in powering the modem rather than driving the transmitter.   So, energy consumption for
> transmitting a packet will depend almost exclusively on how long (in time) the transmission is.

See  also J.-P. Ebert, B. Burns, and A. Wolisz, "A Trace-based Approach 
for determining the Energy Consumption of a WLAN Network Interface", In 
Proc. of European Wireless 2002, pp. 230-236, Florence, Italy, February 
2002.

These measurements show the limited effect transmit power variation has 
on the overall energy consumpion of some 802.11 cards, though it's not 
clear to me to what extent this is fundamental and to what extent it's 
the result of crude implementation in the interface.  For WLAN, transmit 
power adjustment is really for supporting higher access point densities 
(this is a form of spatial reuse, in a sense), so there's no reason to 
be clever.

Note also that both these measurements and the ones mentioned below 
reflect characteristics of PC cards, because it's very straightforward 
to measure them.  I'm not sure whether the behavior of highly integrated 
on-board interfaces would be different, or even how one could measure it 
directly.  (Other people's hardware cheerfully broken in the interests 
of science... :-)

Multiple transmit powers in an ad hoc network is generally a problem for 
CSMA/CA based protocols like 802.11, of course.  However, fine-grain 
power control loops are widely used in e.g. CDMA systems.

> 
> 2.  Energy consumption is based on the state of the receiver.  When not transmitting, the receiver is in a receive state and the rate of
> energy consumption is the same whether it is receiving a packet or not.  Paradoxically, it has been observed that the modem may consume less
> energy when receiving a packet.  This occurs when a packet not intended for the destination can be dropped.  This observation was made in
> 

I would add that this effect decreases as transmit rate increases. 
Protocols like PAMAS, which explicitly shut off nearby nodes when an 
ongoing transmission is detected, are really effective only for 
interfaces with very low data rates (e.g. sensor nets).

> Investigating the energy consumption of a wireless network interface in an ad hoc networking environment
>                   Feeney, L.M.; Nilsson, M.;
>                   INFOCOM 2001. Twentieth Annual Joint Conference of the IEEE Computer and Communications
>                   Societies. Proceedings. IEEE , Volume: 3 , 22-26 April 2001
>                   Page(s): 1548 -1557 vol.3
> 
> 3.  These modems have a low energy doze state.  Entering that state means physically disconnecting the node from the network since the node
> will not receive any transmissions.  Transition times out of these states can be relatively long and will drive how this capability is
> exploited.  By the way, the 802.11 MAC has two energy conservation protocols, one for the DCF and one for the PCF.  I am unaware of any
> cases where they are actually used.  The DCF energy conservation protocol would certainly have a negative impact on the performance of an ad
> hoc network.

I'm not sure how frequently they are used, but the DCF energy 
conservation protocol for a BSS seems to be implemented in at least a 
few cards/drivers. Definitely it has impact on performance - you can see 
that RTT's become highly variable, for example.  I don't know of any 
results that study this effect, though.  Arguably, one should just turn 
off energy conservation if a node is actively sending/receiving traffic 
and turn it back on once the node has been idle for some interval.

There is a DCF energy conservation protocol defined for IBSS as well, 
but it cannot be applied directly to the case of a multi-hop ad hoc network.

> 
> 4.  In my own review of specifications of various 802.11 modems a couple of years ago, I found that the relative power of the three states,
> transmitting, receiving, and dozing, are in the ranges 1/0.5-0.7/0.04-0.1 with the power in the transmit state ranging from 1.7 to ~2.5
> Watts.
> 
> With this said, I will restate my first point.  Energy consumption is hardware dependent and so any and all of this information can be wrong
> for the modems you use.
> 
> John
> 

Best regards,
Laura

-- 
Laura Marie Feeney (Miss)			Email: [email-masked]
Visiting Researcher				Mobile: +46 70 246 56 63
Computer and Network Architecture Laboratory	Phone: +46 8 633 15 00
Swedish Institute of Computer Science		Fax: +46 8 751 72 30
Box 1262 SE-164 29  KISTA, Sweden

Peter Phuc Pham

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet